Skip to content

Get Vehicle Type / Obtener Tipo de Vehiculo

GET
/external/tipo-vehiculo
curl --request GET \
--url 'https://api-dev.zonaparqueo.com/external/tipo-vehiculo?id=example' \
--header 'Authorization: <Authorization>'

Gets vehicle type information by its ID.

id
required
string

Vehicle type identifier

Vehicle type found

Media typeapplication/json
object
estado
string
Allowed values: ok
data
object
id

Vehicle type identifier

integer
nombre

Vehicle type name

string
activado

Activation status

integer
creado

Creation date

string format: date-time
modificado

Modification date

string format: date-time
creado_huso

Creation date with timezone

string format: date-time
modificado_huso

Modification date with timezone

string format: date-time
Examples
Examplesuccess
{
"estado": "ok",
"data": {
"id": 1,
"nombre": "Automovil",
"activado": 1,
"creado": "2024-01-15 10:00:00",
"modificado": "2024-01-15 10:00:00",
"creado_huso": "2024-01-15T10:00:00-05:00",
"modificado_huso": "2024-01-15T10:00:00-05:00"
}
}

Invalid request

Media typeapplication/json
object
estado
string
Allowed values: fail
error

Error message

string
errores

Field-specific error details

object
Example
{
"estado": "fail"
}